const { SlashCommandBuilder } = require('discord.js');
const { simpleEmbed } = require('../functions/embeds.js');
const { Users } = require('../functions/models.js');

module.exports = {
  data: new SlashCommandBuilder()
    .setName('adduser')
    .setDescription('Add a user to the system')
    .addUserOption(option => option
      .setName('user')
      .setDescription('The user to add')),

  async execute(interaction) {
    const user = interaction.options.getUser('user') ? interaction.options.getUser('user') : interaction.user;

    try {
      await Users.create({
        id: user.id,
        rawUsername: user.globalName,
      });

      await interaction.reply({ embeds: [simpleEmbed('Added user to the system')], ephemeral: true });
    } catch (error) {
      console.error(error);

      await interaction.reply({ embeds: [simpleEmbed('There was an error while adding the user')], ephemeral: true });
    }
  },
};
